%define name suck
%define version 4.2.0
%define release 2mdk
%define url http://home.att.net/~bobyetman/

Summary: %{name} - Grabs news from a remote NNTP news server
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{url}/%{name}-%{version}.tar.bz2
Copyright: Public Domain
Group: Networking/News
BuildRoot: /var/tmp/%{name}-buildroot
Prefix: %{_prefix}

Patch1: suck-4.1.2-config.diff.bz2
Patch2: suck-4.1.2-script.diff.bz2

%description
suck is used to grab news from a remote NNTP news server and bring it
to your local machine (without using the NEWNEWS command). It is
designed for a small, partial news feed.

%prep
%setup

%patch1 -p1
%patch2 -p1

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/var/lib/suck
make install prefix=$RPM_BUILD_ROOT/%{prefix}
#install -m 644 $RPM_SOURCE_DIR/suck.log \
#               $RPM_BUILD_ROOT/etc/logrotate.d/suck
install -m 740 sample/get.news.inn $RPM_BUILD_ROOT/var/lib/suck
install -m 740 sample/put.news $RPM_BUILD_ROOT/var/lib/suck
install -m 644 sample/suckkillfile.sample \
               $RPM_BUILD_ROOT/var/lib/suck/suckkillfile
install -m 644 sample/sucknewsrc.sample \
               $RPM_BUILD_ROOT/var/lib/suck/sucknewsrc

find $RPM_BUILD_ROOT/%{prefix}/man/ -type f|xargs bzip2 -9f

%post 
if [ "$1" = 1 ]; then
  # Create initial log files so that logrotate doesn't complain
  touch /var/log/suck.errlog /var/lib/suck/suck.killlog
  chown news.news /var/log/suck.errlog /var/lib/suck/suck.killlog
  chmod 644 /var/log/suck.errlog /var/lib/suck/suck.killlog
fi

%preun
if [ "$1" = 0 ]; then
  # Remove current killfile log, or rpm -e will complain dir isn't empty
  rm -f /var/lib/suck/suck.killlog*
fi

%postun
if [ "$1" = 0 ]; then
  # Remove suck error logs
  rm -f /var/log/suck.errlog*
  # Remove any old killfile logs rotated to /var/log
  rm -f /var/log/suck.killlog*
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) %doc CHANGELOG CONTENTS
%attr(-,root,root) %doc README README.Gui README.Xover sample/
%attr(-,news,news) %dir /var/lib/suck
#%attr(-,root,root) %config /etc/logrotate.d/suck
%attr(-,news,news) %config /var/lib/suck/get.news.inn
%attr(-,news,news) %config /var/lib/suck/put.news
%attr(-,news,news) %config /var/lib/suck/suckkillfile
%attr(-,news,news) %config /var/lib/suck/sucknewsrc
%attr(-,root,root) /%{prefix}/bin/suck
%attr(-,root,root) /%{prefix}/bin/rpost
%attr(-,root,root) /%{prefix}/bin/testhost
%attr(-,root,root) /%{prefix}/bin/lmove
%attr(-,root,root) /%{prefix}/man/man1/*

%changelog
* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.2.0-2mdk
- fix group

* Thu Jul 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First spec file for Mandrake distribution.

